<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="wrap_content"
        android:layout_height="0dp" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="42dp"
        android:gravity="center"
        android:text="@string/my_favorite"
        android:textColor="@color/black"
        android:textSize="18dp"
        android:textStyle="bold" />

    <LinearLayout
        android:id="@+id/loading_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <org.libpag.PAGView
            android:id="@+id/pag_view"
            android:layout_width="88dp"
            android:layout_height="100dp" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textSize="14sp"
            android:textColor="#999999"
            android:text="loading"/>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/no_data_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textSize="16sp"
            android:textColor="#999999"
            android:text="No Data"/>

    </LinearLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="6dp"
        android:overScrollMode="never"
        android:scrollbars="none" />
</LinearLayout>